package _03_方法重载;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 使用方法重载的思想，设计比较两个整数是否相同的方法，
         * 兼容全整数类型（byte,short,int,long）
         */
        equals(1L,2L);
    }

    public static void equals(byte a, byte b){
        System.out.println("调用byte 方法");
        if(a == b){
            System.out.println("相同");
        }else{
            System.out.println("不相同");
        }
    }

    public static void equals(int a, int b){
        System.out.println("调用int 方法");
        if(a == b){
            System.out.println("相同");
        }else{
            System.out.println("不相同");
        }
    }

    public static void equals(short a, short b){
        System.out.println("调用short 方法");
        if(a == b){
            System.out.println("相同");
        }else{
            System.out.println("不相同");
        }
    }

    public static void equals(long a, long b){
        System.out.println("调用long 方法");
        if(a == b){
            System.out.println("相同");
        }else{
            System.out.println("不相同");
        }
    }
}
